{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"OwnerHolding":{"description":"Owner holding","properties":{"shareCount":{"description":"Share count","format":"int64","type":"integer"},"shareType":{"description":"Share type","type":"string"},"totalCount":{"description":"Total count","format":"int64","type":"integer"}},"type":"object"},"OwnerNode":{"description":"Owner node","properties":{"companyId":{"description":"Owner id in case of company","type":"string"},"count":{"format":"int64","type":"integer"},"id":{"description":"Node id","format":"int32","type":"integer"},"level":{"description":"Depth / level of node","format":"int32","type":"integer"},"name":{"description":"Owner name","type":"string"},"ownerHoldings":{"description":"Owner holdings i.e. share type holdings adding to quota","items":{"$ref":"#/components/schemas/OwnerHolding"},"type":"array"},"parentId":{"description":"Node parent id","format":"int32","type":"integer"},"quota":{"description":"Shares to total quota i.e. a number n where 0 < n < 1","type":"string"},"shareCount":{"description":"Owner no of shares","format":"int64","type":"integer"},"totalCount":{"description":"Shares total","format":"int64","type":"integer"},"yearOfBirth":{"description":"Owner year of birth in case of person","type":"string"}},"type":"object"},"OwnerStructureResult":{"description":"Owner structure result","properties":{"hitCount":{"description":"No of owner nodes","format":"int32","type":"integer"},"ownerNodes":{"description":"Owner nodes","items":{"$ref":"#/components/schemas/OwnerNode"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Get owner structure for company based on owner information\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Owner Structure","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/company-owner-structure-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"Takes optional query parameters","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"recursion depth","in":"query","name":"depth","schema":{"format":"int32","type":"integer"}},{"description":"true/false (false is default). Include details such as share type for each owner´s holdings.","in":"query","name":"includeShareQuotas","schema":{"type":"boolean"}},{"description":"as of year","in":"query","name":"asOfYear","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OwnerStructureResult"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Owner structure","tags":["OwnerStructureNo"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/no/company/owner-structure/1.0"}],"x-category":"company","x-countries":["no"],"x-id":"OwnerStructureNo","x-logo":{"url":"https://assets.roaring.io/svg/company-owner-structure-v2.svg"}}